## org.eclipse.datatools.modelbase.sql.query.util
Class SQLQueryModelPlugin

    java.lang.Object
      org.eclipse.core.runtime.Plugin
          org.eclipse.datatools.modelbase.sql.query.util.SQLQueryModelPlugin

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

Direct Known Subclasses:
  SQLXMLQueryModelPlugin

    public class SQLQueryModelPlugin

extends org.eclipse.core.runtime.Plugin

Life cycle method `Plugin.start(org.osgi.framework.BundleContext)` is needed to register this plugin's `SQLQuerySourceWriter`.

Author:
  ckadner

Field Summary
`static java.lang.String` `EXTENSION_CONFIG_PLUGINJAVA_ATTRIBUTE_CLASS`
`static java.lang.String` `EXTENSION_CONFIG_SOURCEWRITER_ATTRIBUTE_IMPL_PACKAGE_NAME`
`static java.lang.String` `EXTENSION_CONFIG_SOURCEWRITER_ATTRIBUTE_PACKAGE_NAME`
`static java.lang.String` `EXTENSION_CONFIG_SOURCEWRITER_ATTRIBUTE_SOURCEWRITER_CLASS`
`static java.lang.String` `EXTENSION_CONFIGURATION_PLUGINJAVA`
`static java.lang.String` `EXTENSION_CONFIGURATION_SOURCEWRITER`
`static java.lang.String` `EXTENSION_POINT_ID`
`static java.lang.String` `PLUGIN_ID`

Fields inherited from class org.eclipse.core.runtime.Plugin
`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

Constructor Summary
`SQLQueryModelPlugin()`

Method Summary
`static SQLQueryModelPlugin` `getDefault()` Returns the shared instance.
`void` `start(org.osgi.framework.BundleContext context)` Life cycle method needed to register this plugin's `SQLQuerySourceWriter`.

Methods inherited from class org.eclipse.core.runtime.Plugin
`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, shutdown, startup, stop, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PLUGIN_ID

    public static final java.lang.String PLUGIN_ID

See Also:
  Constant Field Values

### EXTENSION_POINT_ID

    public static final java.lang.String EXTENSION_POINT_ID

See Also:
  Constant Field Values

### EXTENSION_CONFIGURATION_PLUGINJAVA

    public static final java.lang.String EXTENSION_CONFIGURATION_PLUGINJAVA

See Also:
  Constant Field Values

### EXTENSION_CONFIG_PLUGINJAVA_ATTRIBUTE_CLASS

    public static final java.lang.String EXTENSION_CONFIG_PLUGINJAVA_ATTRIBUTE_CLASS

See Also:
  Constant Field Values

### EXTENSION_CONFIGURATION_SOURCEWRITER

    public static final java.lang.String EXTENSION_CONFIGURATION_SOURCEWRITER

See Also:
  Constant Field Values

### EXTENSION_CONFIG_SOURCEWRITER_ATTRIBUTE_PACKAGE_NAME

    public static final java.lang.String EXTENSION_CONFIG_SOURCEWRITER_ATTRIBUTE_PACKAGE_NAME

See Also:
  Constant Field Values

### EXTENSION_CONFIG_SOURCEWRITER_ATTRIBUTE_IMPL_PACKAGE_NAME

    public static final java.lang.String EXTENSION_CONFIG_SOURCEWRITER_ATTRIBUTE_IMPL_PACKAGE_NAME

See Also:
  Constant Field Values

### EXTENSION_CONFIG_SOURCEWRITER_ATTRIBUTE_SOURCEWRITER_CLASS

    public static final java.lang.String EXTENSION_CONFIG_SOURCEWRITER_ATTRIBUTE_SOURCEWRITER_CLASS

See Also:
  Constant Field Values

Constructor Detail

### SQLQueryModelPlugin

    public SQLQueryModelPlugin()

Method Detail

### getDefault

    public static SQLQueryModelPlugin getDefault()

  Returns the shared instance.

  Returns:
    the shared `SQLQueryModelPlugin` instance or `null` if the plugin was not yet loaded.

### start

    public void start(org.osgi.framework.BundleContext context)
               throws java.lang.Exception

  Life cycle method needed to register this plugin's `SQLQuerySourceWriter`.

  Specified by:
    `start` in interface `org.osgi.framework.BundleActivator`
  Overrides:
    `start` in class `org.eclipse.core.runtime.Plugin`
  Throws:
    `java.lang.Exception`
  See Also:
    `BundleActivator.start(org.osgi.framework.BundleContext)`